<script type="text/javascript">
    function reset_homework(){
        $("#homework_name").val("");
        $("#homework_end_time").val("");
        $("#course_id").val($("#option_select").val());
        $("#homework_attachments").html("<%= escape_javascript(render :partial => 'users/user_homework_attachment', :locals => { :container => HomeworkCommon.new,:has_program => true })%>");
        homework_description_editor.html("");
        $("#homework_editor").toggle();
    }

    $(function(){
        $("#RSide").removeAttr("id");
        $("#Container").css("width","1000px");
    });

    <% if @is_new%>
        $(function(){
            $("#homework_name").focus();
        });
    <%end%>
</script>
<style>
    /*日历选择图*/
    img.ui-datepicker-trigger {display:block;background:url(../images/public_icon.png) -31px 0 no-repeat;cursor: pointer;vertical-align: middle;width:16px;height:15px;float:left;margin: 7px;}
    .description{display: none !important;}
    .ispublic-label{display: none !important;}
    .is_public_checkbox{display: none !important;}
    .is_public{display: none !important;}
    .link_file{ background:url(../images/pic_file.png) 0 5px no-repeat !important;}
    #attachments_fields input.filename{ background:url(../images/pic_file.png) 0 5px no-repeat !important;padding-left:20px !important; color:#64bdd9 !important;}
    .link_file_a{background:url(../images/pic_file.png) 0 5px no-repeat !important;padding-left:20px !important; color:#64bdd9 !important;}
</style>

<div class="homepageRight mt0 ml10">
  <div class="homepageRightBanner mb10">
    <div class="NewsBannerName">作业</div>
  </div>
  <div class="cl"></div>

  <% if @is_teacher%>
      <!-- 老师身份才可以发布作业 -->
      <div class="HomeWork mb10">
        <%= labelled_form_for @new_homework,:url => user_new_homework_users_path,:method => "post" do |f| %>
            <div id="HomeWorkCon">
              <%= render :partial => 'users/user_homework_form', :locals => { :homework => @new_homework,:f => f,:edit_mode => false,:select_course => false } %>
              <input type="hidden" name="is_in_course" value="1"/>
            </div>
        <% end%>
      </div><!----HomeWork end-->
  <% end%>

  <%= render :partial => 'users/user_homework_list', :locals => {:homework_commons => @homeworks,:page => 0,:is_in_course => 1,:course_id => @course.id} %>
</div>
<div class="cl"></div>

